PostgreSQL 7.4.11 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# START TRANSACTION

## Name

START TRANSACTION -- start a transaction block

## Synopsis

    START TRANSACTION [ ISOLATION LEVEL { READ COMMITTED | SERIALIZABLE } ] [ READ WRITE | READ ONLY ]

## Description

This command begins a new transaction. If the isolation level or read/write mode is specified, the new transaction has those characteristics, as if SET TRANSACTION was executed. In all other respects, the behavior of this command is identical to the BEGIN command.

## Parameters

See under SET TRANSACTION about the meaning of the parameters.

## Compatibility

This command conforms to the SQL standard; but see also the compatibility section of SET TRANSACTION.

## See Also

BEGIN, COMMIT, ROLLBACK, SET TRANSACTION

Prev | Home | Next
SHOW | Up | TRUNCATE